Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Cleanup_Info_Node Class Reference

For maintaining a list of ACE_Cleanup_Info items. More...

Collaboration diagram for ACE_Cleanup_Info_Node:

[legend]
List of all members.

## Public Methods
| ACE_Cleanup_Info_Node (void)
| ACE_Cleanup_Info_Node (const ACE_Cleanup_Info &new_info, ACE_Cleanup_Info_Node *next)
| ~ACE_Cleanup_Info_Node (void)
ACE_Cleanup_Info_Node * | insert (const ACE_Cleanup_Info &)
## Private Attributes
ACE_Cleanup_Info | cleanup_info_
ACE_Cleanup_Info_Node * | next_
## Friends
class | ACE_OS_Exit_Info

## Detailed Description

For maintaining a list of ACE_Cleanup_Info items.

For internal use by ACE_Object_Manager.

## Constructor & Destructor Documentation

ACE_Cleanup_Info_Node::ACE_Cleanup_Info_Node | ( | void |  | ) |

ACE_Cleanup_Info_Node::ACE_Cleanup_Info_Node | ( | const ACE_Cleanup_Info & | new_info,
|  | ACE_Cleanup_Info_Node * | next
| ) |

ACE_Cleanup_Info_Node::~ACE_Cleanup_Info_Node | ( | void |  | ) |

## Member Function Documentation

ACE_Cleanup_Info_Node * ACE_Cleanup_Info_Node::insert | ( | const ACE_Cleanup_Info & |  | ) |

## Friends And Related Function Documentation

friend class ACE_OS_Exit_Info`[friend]`

## Member Data Documentation

ACE_Cleanup_Info ACE_Cleanup_Info_Node::cleanup_info_`[private]`

ACE_Cleanup_Info_Node* ACE_Cleanup_Info_Node::next_`[private]`

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Cleanup.cpp